Home

Get account information about a given asset.

GET
https://algo.nownodes.io/v2/accounts/{address}/assets/{asset-id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Given a specific account public key and asset ID, this call returns the account's asset holding and asset parameters (if either exist). Asset parameters will only be returned if the provided address is the asset's creator.

Parameters

formatstringjsonmsgpackquery

Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

addressstringrequiredpath

An account public key

asset-idintegerrequiredpath

An asset identifier

Response

200OK

AccountAssetResponse describes the account's asset holding and asset parameters (if either exist) for a specific asset ID. Asset parameters will only be returned if the provided address is the asset's creator.

400Bad Request

Malformed address or asset ID

401Unauthorized

Invalid API Token

500Internal Server Error

Internal Error

default

Unknown Error